QID 376477

Date Published: 2022-03-23

QID 376477: Autonomous Health Framework (AHF) Multiple Vulnerabilities (Log4Shell) (Doc ID 2828415.1)

Autonomous Health Framework (AHF) provides a number of diagnostic tools in a single bundle, making it easy to gather diagnostic information about the Oracle database and clusterware.

Affected Versions:
AHF for On-Premise versions lower than 21.4.1

QID Detection Logic (Authenticated)
This checks for vulnerable version of Autonomous Health Framework (AHF) via ahfctl command for Linux and reading the configuration in case of Windows.

Successful exploitation of this vulnerability could lead to remote code execution (RCE) on the target.

  • CVSS V3 rated as Critical - 10 severity.
  • CVSS V2 rated as Critical - 9.3 severity.
  • Solution
    The vendor has released patches for these issues. Customers are advised to refer to Doc ID 2828415.1 for detailed information.

    CVEs related to QID 376477

    Software Advisories
    Advisory ID Software Component Link
    Doc ID 2828415.1 URL Logo support.oracle.com/epmos/faces/DocumentDisplay?_afrLoop=140850346898201&id=2828415.1&_afrWindowMode=0&_adf.ctrl-state=15ppmw8ts8_200